RDKit::MolStandardize::ChargeCorrection Struct Reference

`#include <Charge.h>`

## Public Member Functions

| ChargeCorrection (std::string name, std::string smarts, int charge)

## Public Attributes

std::string | Name
std::string | Smarts
int | Charge

## Detailed Description

Definition at line 38 of file Charge.h.

## Constructor & Destructor Documentation

## ChargeCorrection()

RDKit::MolStandardize::ChargeCorrection::ChargeCorrection | ( | std::string | name,
|  | std::string | smarts,
|  | int | charge
| ) |  |

inline

Definition at line 43 of file Charge.h.

## Member Data Documentation

## Charge

int RDKit::MolStandardize::ChargeCorrection::Charge

Definition at line 41 of file Charge.h.

## Name

std::string RDKit::MolStandardize::ChargeCorrection::Name

Definition at line 39 of file Charge.h.

## Smarts

std::string RDKit::MolStandardize::ChargeCorrection::Smarts

Definition at line 40 of file Charge.h.

The documentation for this struct was generated from the following file:

- Charge.h